Package org.apache.sysds.hops.fedplanner

## Class FederatedMemoTablePrinter

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.FederatedMemoTablePrinter

    public class FederatedMemoTablePrinter
    extends Object

### Constructor Summary

Constructors
`FederatedMemoTablePrinter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `printFedPlanTree​(FederatedMemoTable.FedPlan rootFedPlan, FederatedMemoTable memoTable, double additionalTotalCost)` Recursively prints a tree representation of the DAG starting from the given root FedPlan.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedMemoTablePrinter

    public FederatedMemoTablePrinter()

### Method Detail

#### printFedPlanTree

    public static void printFedPlanTree​(FederatedMemoTable.FedPlan rootFedPlan,
                                        FederatedMemoTable memoTable,
                                        double additionalTotalCost)

Recursively prints a tree representation of the DAG starting from the given root FedPlan. Includes information about hopID, fedOutType, TotalCost, SelfCost, and NetCost for each node. Additionally, prints the additional total cost once at the beginning.

Parameters:
  `rootFedPlan` - The starting point FedPlan to print
  `memoTable` - The memoization table containing FedPlan variants
  `additionalTotalCost` - The additional cost to be printed once